GHA RFC vs Selkirk · Schotse Premiership
Schotse Premiership · 2025-26Afgelopen

20–14

Wedstrijdverslag
GHA RFC versloeg Selkirk met 20-14 in Giffnock (Braidholm) op zaterdag 13 december 2025 (Schotse Premiership, speelronde 13).
GHA RFC maakt een einde aan een reeks van twee nederlagen. Selkirk verloor nu zes keer op rij.
Automatisch geschreven op basis van de wedstrijdgegevens; wordt bijgewerkt zodra uitslagen binnenkomen.
Onderlinge duels
4
GHA RFC gewonnen (67%)
0
Gelijk (0%)
2
Selkirk gewonnen (33%)
Laatste 6 onderlinge duels, sinds oktober 2021
Grootste zege GHA RFC
34–10
2 okt 2021
Grootste zege Selkirk
28–14
8 okt 2022
Laatste 5 duels
- 13 dec 2025 · Schotse PremiershipGHA RFC20Selkirk1413 dec 2025GHA RFC20–14SelkirkSchotse Premiership
- 13 sep 2025 · Schotse PremiershipSelkirk36GHA RFC4013 sep 2025Selkirk36–40GHA RFCSchotse Premiership
- 7 jan 2023 · Schotse PremiershipGHA RFC17Selkirk217 jan 2023GHA RFC17–21SelkirkSchotse Premiership
- 8 okt 2022 · Schotse PremiershipSelkirk28GHA RFC148 okt 2022Selkirk28–14GHA RFCSchotse Premiership
- 5 mrt 2022 · Schotse PremiershipSelkirk24GHA RFC275 mrt 2022Selkirk24–27GHA RFCSchotse Premiership